
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/green.zip" ),
}
local prefabs = {}

local start_inv =
{
    "showcane",
}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "none"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "greeneye.tex" )

	-- todo: Add an example special power here.
	inst.components.health.maxhealth = 125
	inst.components.sanity.max = 75
	inst.components.hunger:SetMax(200)
	inst.components.sanity.neg_aura_mult = 1
	inst.components.sanity.night_drain_mult = 1
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_SMALL)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.75)

end


-- strings! Any "green" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.green = "the Resident"
STRINGS.CHARACTER_NAMES.green = "Mr. Green Eye"
STRINGS.CHARACTER_DESCRIPTIONS.green = "*High Hunger \n *Low Sanity \n *Show Stopper Cane."
STRINGS.CHARACTER_QUOTES.green = "\" \""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.BLUE = require "speech_eye"
	
return MakePlayerCharacter("green", prefabs, assets, fn, start_inv)
